- Qt 6.8
- Qt GUI
- C++ Classes
- QTextCharFormat
- Qt 6.8.2 Reference Documentation

# Obsolete Members for QTextCharFormat

The following members of class QTextCharFormat are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated in 6.1)` QString | fontFamily() const
`(deprecated in 6.1)` void | setFontFamily(const QString &family)

## Member Function Documentation

### `[deprecated in 6.1]` QString QTextCharFormat::fontFamily() const

This function is deprecated since 6.1. We strongly advise against using it in new code.

Use fontFamilies() instead.

Returns the text format's font family.

See also setFontFamily() and font().

### `[deprecated in 6.1]` void QTextCharFormat::setFontFamily(const QString &family)

This function is deprecated since 6.1. We strongly advise against using it in new code.

Use setFontFamilies() instead.

Sets the text format's font family.

See also fontFamily() and setFont().